clang 8.0.0

Namespaces | Macros | Enumerations
OperationKinds.h File Reference
`#include "clang/AST/OperationKinds.def"`
Include dependency graph for OperationKinds.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | CAST_OPERATION(Name) CK_##Name,
#define | BINARY_OPERATION(Name, Spelling) BO_##Name,
#define | UNARY_OPERATION(Name, Spelling) UO_##Name,

## Enumerations
enum | clang::CastKind
| CastKind - The kind of operation required for a conversion. More...
enum | clang::BinaryOperatorKind
enum | clang::UnaryOperatorKind
enum | clang::ObjCBridgeCastKind { clang::OBC_Bridge, clang::OBC_BridgeTransfer, clang::OBC_BridgeRetained }
| The kind of bridging performed by the Objective-C bridge cast. More...

## Macro Definition Documentation

## ◆ BINARY_OPERATION

#define BINARY_OPERATION | ( |  | Name,
|  |  | Spelling
| ) |  | BO_##Name,

Definition at line 27 of file OperationKinds.h.

## ◆ CAST_OPERATION

#define CAST_OPERATION | ( |  | Name | ) | CK_##Name,

Definition at line 22 of file OperationKinds.h.

## ◆ UNARY_OPERATION

#define UNARY_OPERATION | ( |  | Name,
|  |  | Spelling
| ) |  | UO_##Name,

Definition at line 32 of file OperationKinds.h.